Skip to main content
GET
/
v1
/
runs
/
{run_id}
/
artifacts
Get artifacts for a run
curl --request GET \
  --url https://api.skyvern.com/v1/runs/{run_id}/artifacts
[
  {
    "created_at": "2023-01-01T00:00:00Z",
    "modified_at": "2023-01-01T00:00:00Z",
    "artifact_id": "<string>",
    "artifact_type": "recording",
    "uri": "<string>",
    "organization_id": "<string>",
    "task_id": "<string>",
    "step_id": "<string>",
    "workflow_run_id": "<string>",
    "workflow_run_block_id": "<string>",
    "run_id": "<string>",
    "observer_cruise_id": "<string>",
    "observer_thought_id": "<string>",
    "ai_suggestion_id": "<string>",
    "signed_url": "<string>"
  }
]

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Path Parameters

run_id
string
required

The id of the task run or the workflow run.

Query Parameters

artifact_type
enum<string>[] | null
Available options:
recording,
browser_console_log,
skyvern_log,
skyvern_log_raw,
screenshot,
screenshot_llm,
screenshot_action,
screenshot_final,
llm_prompt,
llm_request,
llm_response,
llm_response_parsed,
llm_response_rendered,
visible_elements_id_css_map,
visible_elements_id_frame_map,
visible_elements_tree,
visible_elements_tree_trimmed,
visible_elements_tree_in_prompt,
hashed_href_map,
visible_elements_id_xpath_map,
html,
html_scrape,
html_action,
trace,
har,
script_file,
pdf

Response

Successful Response

created_at
string
required

The creation datetime of the task.

Example:

"2023-01-01T00:00:00Z"

modified_at
string
required

The modification datetime of the task.

Example:

"2023-01-01T00:00:00Z"

artifact_id
string
required
artifact_type
enum<string>
required
Available options:
recording,
browser_console_log,
skyvern_log,
skyvern_log_raw,
screenshot,
screenshot_llm,
screenshot_action,
screenshot_final,
llm_prompt,
llm_request,
llm_response,
llm_response_parsed,
llm_response_rendered,
visible_elements_id_css_map,
visible_elements_id_frame_map,
visible_elements_tree,
visible_elements_tree_trimmed,
visible_elements_tree_in_prompt,
hashed_href_map,
visible_elements_id_xpath_map,
html,
html_scrape,
html_action,
trace,
har,
script_file,
pdf
uri
string
required
organization_id
string
required
task_id
string | null
step_id
string | null
workflow_run_id
string | null
workflow_run_block_id
string | null
run_id
string | null
observer_cruise_id
string | null
observer_thought_id
string | null
ai_suggestion_id
string | null
signed_url
string | null